Skip to content

waldur-cli team project create

Create projects.

Usage

1
waldur-cli team project create (--request JSON | --request-file PATH | --generate-skeleton)
Flag Type Description
--request JSON string Request body as inline JSON.
--request-file PATH path Read the request body from a JSON or YAML file.
--generate-skeleton [FORMAT] json yaml

Examples

See the fillable template first:

1
waldur-cli team project create --generate-skeleton

Then fill it in and submit:

1
waldur-cli team project create --request '{"affiliation_uuid":null,"backend_id":null,"customer":"","description":null,"end_date":null,"grace_period_days":null,"image":null,"is_industry":null,"kind":null,"name":"","oecd_fos_2007_code":null,"science_sub_domain":null,"slug":null,"staff_notes":null,"start_date":null,"type":null,"user_affiliations":null,"user_email_patterns":null,"user_identity_sources":null}'

Global options

Every command also accepts --api-url, --token, --profile, --format, and --debug; mutating commands additionally accept --dry-run. See Getting started for what each does.